<?session_start();
include $_SERVER[DOCUMENT_ROOT] . "/common/conf/config.inc.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/common/conf/dbconfig.inc.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/member/member.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/shop/shop.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/mail/mail.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/point/point.lib.php";

//DB연결
$dblink = SetConn($_conf_db["main_db"]);

if($_POST[evnMode]=="join"){

	$RS = joinMember();

	//메일발송용
	$arrInfo = getUserInfo(mysql_real_escape_string($_POST[user_id]));

	if($RS==true){
		//로그인 세션 만듬
		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"] = $arrInfo["list"][0]["user_id"];
		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["NAME"] = $arrInfo["list"][0]["user_name"];
		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["EMAIL"] = $arrInfo["list"][0]["email"];
		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["LEVEL"] = $arrInfo["list"][0]["user_level"];

		//회원에게 메일발송
		$arrMailInfo = getMailConfig("join");
		sendMailMemberInfo($arrInfo, $arrMailInfo);
		//회원에게 메일발송
		?>
<?
/*
<form name="postmanForm" method="post" action="http://www.postman.co.kr/partner/auto_message_send.jsp" target="POSTMAN">
<input type="hidden" name="mail_code" value="E0945" />
<input type="hidden" name="cooperation_id" value="WS" />
<input type="hidden" name="send_type" value="M" />
<input type="hidden" name="user_id" value="test_website" />
<input type="hidden" name="auth_key" value="TC8TGE-N0S7S4-MA2TIU-2W0CJ3" /> <!-- 인증키: 자동부여 -->
<input type="hidden" name="mem_id" value="<?=$arrInfo["list"][0]["user_id"]?>"/> <!-- 받는 사람 ID: 유니크한 유일 값 -->
<input type="hidden" name="mem_name" value="<?=$arrInfo["list"][0]["user_name"]?>"/> <!-- 받는 사람 이름: 실제 받는 사람 이름 -->
<input type="hidden" name="mem_email" value="<?=$arrInfo["list"][0]["email"]?>"/> <!-- 받을 사람 E-mail: 실제 발송되는 주소 -->
<input type="hidden" name="M1" value=""> <!-- 매핑값 : ${map_4} -->
<input type="hidden" name="M2" value=""> <!-- 매핑값 : ${map_5} -->
<input type="hidden" name="M3" value=""> <!-- 매핑값 : ${map_6} -->
</form>
<iframe name="POSTMAN" width="0" height="0" frameborder="0"></iframe>
<script type="text/javascript">
document.postmanForm.submit();
</script>
*/
?>
		<?
		jsGo("/","","회원가입 되었습니다.");
	}else{
		jsMsg("회원가입에 실패 하였습니다.");
		jsHistory("-2") ;
	}

}else if($_POST[evnMode]=="edit"){
	$RS = editMember($_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"]);

	if($RS==true){
		jsGo("/member.php?goPage=Edit","","고객님의 정보를 수정 하였습니다.");
	}else{
		jsMsg("정보 수정에 실패 하였습니다.");
		jsHistory("-1") ;
	}


}else if($_POST[evnMode]=="emailAccept"){
	if(!$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"]){
		jsMsg("로그인이 필요한 서비스 입니다.");
		jsHistory("-1") ;
		exit;
	}

	$RS = editMemberEmailAccept($_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"]);
	
	if($RS==true){
		jsGo("index.php","","메일 서비스를 신청 하였습니다.");
	}else{
		jsMsg("메일 서비스 신청에 실패 하였습니다.");
		jsHistory("-1") ;
	}

}else if($_POST[evnMode]=="withdrawal"){

	$user_id = mysql_real_escape_string(trim($_POST[user_id]));
	$user_pw = mysql_real_escape_string(trim($_POST[user_pw]));
	$email = mysql_real_escape_string(trim($_POST[email]));

	if($user_id == $_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"]){
		//메일발송용
		$arrInfo = getUserInfo($_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"]);
		//회원탈퇴
		$RS = withdrawalMember($user_id, $user_pw, $email);

		if($RS["total"] > 0){
			$RS2 = deleteMember($RS["list"][0]["user_id"]);
			if($RS2 == true){
				session_destroy();
				//탈퇴자에게 메일발송
				$arrMailInfo = getMailConfig("withdrawal");
				sendMailMemberInfo($arrInfo, $arrMailInfo);
				//탈퇴자에게 메일발송
				if($_REQUEST[rt_url]){
					jsGo($_REQUEST[rt_url],"",$RS["list"][0]["user_id"] . "님 정상적으로 탈퇴 되었습니다.");
				}else{
					jsGo("/","",$RS["list"][0]["user_id"] . "님 정상적으로 탈퇴 되었습니다.");
				}
			}else{
				if($_REQUEST[rt_url]){
					jsGo($_REQUEST[rt_url],"","탈퇴처리중 오류가 발생하였습니다.");
				}else{
					jsGo("/","","탈퇴처리중 오류가 발생하였습니다.");
				}
			}
		}else{
			jsMsg("입력하신 정보가 올바르지 않습니다.");
			jsHistory("-1") ;
		}
	}else{
			jsMsg("로그인한 ID만 탈퇴하실 수 있습니다.");
			jsHistory("-1") ;
	}


}else if($_POST[evnMode]=="login"){

	$user_id = mysql_real_escape_string(trim($_POST[id]));
	$user_pw = mysql_real_escape_string(trim($_POST[pw]));

	$arrInfo = getUserInfo($user_id);

	if($arrInfo["total"] < 1){
		jsMsg("해당하는 아이디가 없습니다.");
		jsHistory("-1");
	}
	
	
	$RS = loginMember($user_id, $user_pw);


	if($RS["total"] > 0){

		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"] = $RS["list"][0]["user_id"];
		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["NAME"] = $RS["list"][0]["user_name"];
		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["EMAIL"] = $RS["list"][0]["email"];
		$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["LEVEL"] = $RS["list"][0]["user_level"];
		//$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["EMAIL_ACCEPT"] = $RS["list"][0]["email_accept"];

		if($_REQUEST[save_id]=="1"){
			setcookie("login_id", $RS["list"][0]["user_id"], time()+(3600*24*30), "/", $_SERVER[SERVER_NAME]);
		}else{
			setcookie("login_id", "", time()+(3600*24*30), "/", $_SERVER[SERVER_NAME]);
		}


		//장바구니의 해당 세션을 로그인한 회원의 장바구니로 옮김
		@updateCartSession($_SESSION[$_SITE["DOMAIN"]]["SESSIONID"], $_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"]);

		if($_REQUEST[rt_url]){
			jsGo($_REQUEST[rt_url],"",$RS["list"][0]["user_id"] . "님 로그인 되었습니다.");
		}else{
			jsGo("/","",$RS["list"][0]["user_id"] . "님 로그인 되었습니다.");
		}
	}else{
		jsMsg("비밀번호가 일치하지 않습니다.");
		jsHistory("-1") ;
	}

}else if($_POST[evnMode]=="login_guest"){

	$_SESSION[$_SITE["DOMAIN"]]["GUEST"]["NAME"] = $_POST[name];
	//$_SESSION[$_SITE["DOMAIN"]]["GUEST"]["MOBILE"] = mysql_real_escape_string(trim($_POST[mobile]));
	$_SESSION[$_SITE["DOMAIN"]]["GUEST"]["MOBILE"] = mysql_real_escape_string(trim($_POST[mobile_1]))."-".mysql_real_escape_string(trim($_POST[mobile_2]))."-".mysql_real_escape_string(trim($_POST[mobile_3]));

	if($_REQUEST[rt_url]){
		jsGo($_REQUEST[rt_url],"",$_SESSION[$_SITE["DOMAIN"]]["GUEST"]["NAME"] . "님 손님으로 로그인 되었습니다.");
	}else{
		jsGo("/","",$_SESSION[$_SITE["DOMAIN"]]["GUEST"]["NAME"] . "님 손님으로 로그인 되었습니다.");
	}

}else if($_REQUEST[evnMode]=="logout"){
	session_destroy();
	if($_REQUEST[rt_url]){
		jsGo($_REQUEST[rt_url],"","로그아웃 되었습니다.");
	}else{
		jsGo("/","","로그아웃 되었습니다.");
	}
}
	
//DB해제
SetDisConn($dblink);
?>